solution: /submissions/accepted/mike.cpp
version: 2025-02  # use this version of the generators framework

#test_group.yaml:
  # One or more of:
  # case_sensitive
  # space_change_sensitive
  # float_absolute_tolerance eps
  # float_relative_tolerance eps
  # float_tolerance eps
  #output_validator_args:

data:
  sample:
    data:
      # Some small examples showing to help understanding of the problem.
      - '':
          in: |
            1
            -
            B
      - '': randomgrid.py 10 2
      - '':
          in: |
            3
            -
            BBB
            BCB
            BCB
            -
            BBC
            CBA
            BBB
            -
            BBB
            BPB
            BBB

  secret:
    data:
      - tube-big: tube.py 22 4 11
      - tube-large: tube.py 18 3 9
      - tube-medium: tube.py 12 2 6
      - tube-small: tube.py 6 1 3

      - cuboids-big: cuboids.py 22 14 10
      - cuboids-big: cuboids.py 22 13 10
      - cuboids-big: cuboids.py 22 11 10
      - cuboids-large: cuboids.py 18 12 9
      - cuboids-medium: cuboids.py 12 8 6
      - cuboids-small: cuboids.py 6 4 3

      - hollow-cube-big: hollow-cube.py 22 3
      - hollow-cube-large: hollow-cube.py 18 2
      - hollow-cube-medium: hollow-cube.py 12 2
      - hollow-cube-small: hollow-cube.py 6 1

      - only-b: randomgrid.py   -1   22  1 0 0 0
      - only-a: randomgrid.py   -1   22  0 1 0 0
      - only-p: randomgrid.py   -1   22  0 0 1 0
      - only-c: randomgrid.py   -1   22  0 0 0 1

      - many-b-promille: randomgrid.py {seed} 22  997 1 1 1
      - many-a-promille: randomgrid.py {seed} 22  1 997 1 1
      - many-p-promille: randomgrid.py {seed} 22  1 1 997 1
      - many-c-promille: randomgrid.py {seed} 22  1 1 1 997

      - many-b-10-to-1: randomgrid.py {seed} 22  10 1 1 1
      - many-a-10-to-1: randomgrid.py {seed} 22  1 10 1 1
      - many-p-10-to-1: randomgrid.py {seed} 22  1 1 10 1
      - many-c-10-to-1: randomgrid.py {seed} 22  1 1 1 10

      - many-ba-10-to-1: randomgrid.py {seed} 22  10 10 1 1
      - many-bp-10-to-1: randomgrid.py {seed} 22  10 1 10 1
      - many-bc-10-to-1: randomgrid.py {seed} 22  10 1 1 10
      - many-ap-10-to-1: randomgrid.py {seed} 22  1 10 10 1
      - many-ac-10-to-1: randomgrid.py {seed} 22  1 10 1 10
      - many-pc-10-to-1: randomgrid.py {seed} 22  1 1 10 10

      - few-b: randomgrid.py {seed} 22  1 10 10 10
      - few-a: randomgrid.py {seed} 22  10 1 10 10
      - few-p: randomgrid.py {seed} 22  10 10 1 10
      - few-c: randomgrid.py {seed} 22  10 10 10 1

      - small: randomgrid.py {seed} 1
      - small: randomgrid.py {seed} 2
      - small: randomgrid.py {seed} 3
      - medium:
          generate: randomgrid.py {seed} 5
          count: 20
      - size10: randomgrid.py {seed} 10
      - size11: randomgrid.py {seed} 11
      - size12: randomgrid.py {seed} 12
      - size13: randomgrid.py {seed} 13
      - size14: randomgrid.py {seed} 14
      - size15: randomgrid.py {seed} 15
      - size16: randomgrid.py {seed} 16
      - size17: randomgrid.py {seed} 17
      - size18: randomgrid.py {seed} 18
      - size19: randomgrid.py {seed} 19
      - size20: randomgrid.py {seed} 20
      - size21: randomgrid.py {seed} 21
      - size22: randomgrid.py {seed} 22

      - randomgrid-BA: randomgrid.py {seed} 22  1 1 0 0
      - randomgrid-BP: randomgrid.py {seed} 22  1 0 1 0
      - randomgrid-AC: randomgrid.py {seed} 22  0 1 0 1
      - randomgrid-PC: randomgrid.py {seed} 22  0 0 1 1

      - randomgrid-BAP: randomgrid.py {seed} 22  1 1 1 0
      - randomgrid-BAC: randomgrid.py {seed} 22  1 1 0 1
      - randomgrid-BPC: randomgrid.py {seed} 22  1 0 1 1
      - randomgrid-APC: randomgrid.py {seed} 22  0 1 1 1

      - randomgrid-double-AP:
          generate: randomgrid.py {seed:2} {count}  1 2 2 1
          count: 22
